// defines Corkscrew
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_CORKSCREW_C_GSH
#define INCLUDED_CORKSCREW_C_GSH

#include "defaults.gsh"

////////////////////////////////////////////////////////////////////////////////////

hierarchy Hcy_Corkscrew_C
{
	file "objects\Corkscrew C.RIF"
	name "Corkscrew C"
}

character Chr_Corkscrew_C : Chr_DefaultBaddie
{
	turning speed   0.25
	walking speed   0	// doesn't move
	strength        1000	// to be indestructible, at least in the S3 level
	aim             0	// spot on!
	sight angle	90	// in degrees
	sight range 	15	// in metres
	hearing range	22	// in metres
	aggression	1	// from 0 to 1
	gun yaw angle	0	// in degrees
	elevation angle 0	// in degrees
	can turn	no	// can only use gun yaw
}

role Rol_Corkscrew_C : Rol_DefaultRobot
{
	shape			Hcy_Corkscrew_C
	character		Chr_Corkscrew_C
	identifier		"Corkscrew_C"
	ai			reserved
	armour			100
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_CORKSCREW_C_GSH
